bios_info_t Struct Reference
Public interface » ID macros » Hardware information

bios data (ix86) More...

`#include <hd.h>`

## Data Fields

unsigned | apm_supported:1
unsigned | apm_enabled:1
unsigned | apm_ver
unsigned | apm_subver
unsigned | apm_bios_flags
unsigned | vbe_ver
unsigned | vbe_video_mem
unsigned | ser_port0
unsigned | ser_port1
unsigned | ser_port2
unsigned | ser_port3
unsigned | par_port0
unsigned | par_port1
unsigned | par_port2
unsigned | is_pnp_bios:1
| The id is still in big endian format!
unsigned | pnp_id
unsigned | lba_support:1
unsigned | low_mem_size
smp_info_t | smp
vbe_info_t | vbe
unsigned | smbios_ver
struct { |
unsigned bios_info_t::width |
unsigned bios_info_t::height |
unsigned bios_info_t::xsize |
unsigned bios_info_t::ysize |
char * bios_info_t::vendor |
char * bios_info_t::name |
} | lcd
struct { |
char * bios_info_t::vendor |
char * bios_info_t::type |
unsigned bios_info_t::bus |
unsigned bios_info_t::compat_vend |
unsigned bios_info_t::compat_dev |
} | mouse
struct { |
unsigned bios_info_t::ok:1 |
unsigned bios_info_t::scroll_lock:1 |
unsigned bios_info_t::num_lock:1 |
unsigned bios_info_t::caps_lock:1 |
} | led
bios32_info_t | bios32

## Detailed Description

bios data (ix86)

The documentation for this struct was generated from the following file:

- hd.h